Package csb :: Package bio :: Package io :: Module wwpdb :: Class PDBFileBuilder

[frames] | no frames]

# Class PDBFileBuilder

source code

     object --+
              |
    FileBuilder --+
                  |
                 PDBFileBuilder

Known Subclasses:
  - PDBEnsembleFileBuilder

PDB file format builder.

Nested Classes
Inherited from `FileBuilder`: `__metaclass__`

Instance Methods

add_header(self, master) Write the HEADER of the file using `master` | source code

add_structure(self, structure) Append a new model to the file | source code

finalize(self) Add the END marker | source code

writeline(self, text) Write a chunk of text and append a new line terminator | source code

Inherited from `FileBuilder`: `__init__`, `write` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
Inherited from `FileBuilder`: `isnull`, `output` Inherited from `object`: `__class__`

Method Details

### add_header(self, master)

source code

Write the HEADER of the file using `master`

Parameters:
  - `master` (Structure)
Overrides: FileBuilder.add_header

### add_structure(self, structure)

source code

Append a new model to the file

Parameters:
  - `structure` (Structure)
Overrides: FileBuilder.add_structure

### finalize(self)

source code

Add the END marker

Overrides: FileBuilder.finalize

### writeline(self, text)

source code

Write a chunk of text and append a new line terminator

Overrides: FileBuilder.writeline
  (inherited documentation)